OpenShot Audio Library | OpenShotAudio: juce::dsp::Oversampling2TimesEquirippleFIR< SampleType > Struct Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::dsp::Oversampling2TimesEquirippleFIR< SampleType > Struct Template Referencefinal
Inheritance diagram for juce::dsp::Oversampling2TimesEquirippleFIR< SampleType >:

## Public Types
using | ParentType = typename Oversampling<SampleType>::OversamplingStage

## Public Member Functions
| Oversampling2TimesEquirippleFIR (size_t numChans, SampleType normalisedTransitionWidthUp, SampleType stopbandAmplitudedBUp, SampleType normalisedTransitionWidthDown, SampleType stopbandAmplitudedBDown)
SampleType | getLatencyInSamples () const override
void | reset () override
void | processSamplesUp (const AudioBlock< const SampleType > &inputBlock) override
void | processSamplesDown (AudioBlock< SampleType > &outputBlock) override
Public Member Functions inherited from juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >
| OversamplingStage (size_t numChans, size_t newFactor)
virtual void | initProcessing (size_t maximumNumberOfSamplesBeforeOversampling)
AudioBlock< SampleType > | getProcessedSamples (size_t numSamples)

## Additional Inherited Members
Public Attributes inherited from juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >
AudioBuffer< SampleType > | buffer
size_t | numChannels
size_t | factor

## Detailed Description

template<typename SampleType>
struct juce::dsp::Oversampling2TimesEquirippleFIR< SampleType >

Oversampling stage class performing 2 times oversampling using the Filter Design FIR Equiripple method. The resulting filter is linear phase, symmetric, and has every two samples but the middle one equal to zero, leading to specific processing optimizations.

Definition at line 111 of file juce_Oversampling.cpp.

## Member Typedef Documentation

## ◆ ParentType

template<typename SampleType >

using juce::dsp::Oversampling2TimesEquirippleFIR< SampleType >::ParentType = typename Oversampling<SampleType>::OversamplingStage

Definition at line 113 of file juce_Oversampling.cpp.

## Constructor & Destructor Documentation

## ◆ Oversampling2TimesEquirippleFIR()

template<typename SampleType >

juce::dsp::Oversampling2TimesEquirippleFIR< SampleType >::Oversampling2TimesEquirippleFIR | ( | size_t | numChans,
|  | SampleType | normalisedTransitionWidthUp,
|  | SampleType | stopbandAmplitudedBUp,
|  | SampleType | normalisedTransitionWidthDown,
|  | SampleType | stopbandAmplitudedBDown )
| inline

Definition at line 115 of file juce_Oversampling.cpp.

## Member Function Documentation

## ◆ getLatencyInSamples()

template<typename SampleType >

SampleType juce::dsp::Oversampling2TimesEquirippleFIR< SampleType >::getLatencyInSamples | ( |  | ) | const
| inlineoverridevirtual

Implements juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 139 of file juce_Oversampling.cpp.

## ◆ processSamplesDown()

template<typename SampleType >

void juce::dsp::Oversampling2TimesEquirippleFIR< SampleType >::processSamplesDown | ( | AudioBlock< SampleType > & | outputBlock | ) |
| inlineoverridevirtual

Implements juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 195 of file juce_Oversampling.cpp.

## ◆ processSamplesUp()

template<typename SampleType >

void juce::dsp::Oversampling2TimesEquirippleFIR< SampleType >::processSamplesUp | ( | const AudioBlock< const SampleType > & | inputBlock | ) |
| inlineoverridevirtual

Implements juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 155 of file juce_Oversampling.cpp.

## ◆ reset()

template<typename SampleType >

void juce::dsp::Oversampling2TimesEquirippleFIR< SampleType >::reset | ( |  | ) |
| inlineoverridevirtual

Reimplemented from juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 144 of file juce_Oversampling.cpp.

The documentation for this struct was generated from the following file:

- juce_Oversampling.cpp